net.sf.okapi.common

## Class Namespaces

- java.lang.Object
- - net.sf.okapi.common.Namespaces

-     public final class Namespaces
      extends java.lang.Object

  Defines commonly used namespaces and default prefixes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTML_NS_PREFIX`
    `static java.lang.String` | `HTML_NS_URI`
    `static java.lang.String` | `ITS_NS_PREFIX`
    `static java.lang.String` | `ITS_NS_URI`
    `static java.lang.String` | `ITSX_NS_PREFIX`
    `static java.lang.String` | `ITSX_NS_URI`
    `static java.lang.String` | `ITSXLF_NS_PREFIX`
    `static java.lang.String` | `ITSXLF_NS_URI`
    `static java.lang.String` | `NS_XLIFF12` URI for the XLIFF 1.2 namespace.
    `static java.lang.String` | `NS_XLIFFOKAPI` URI for the Okapi XLIFF extensions namespace.
    `static java.lang.String` | `XLINK_NS_PREFIX`
    `static java.lang.String` | `XLINK_NS_URI`
    `static java.lang.String` | `XML_NS_PREFIX`
    `static java.lang.String` | `XML_NS_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namespaces()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_NS_URI

          public static final java.lang.String XML_NS_URI

      See Also:
        Constant Field Values

    - #### XML_NS_PREFIX

          public static final java.lang.String XML_NS_PREFIX

      See Also:
        Constant Field Values

    - #### ITS_NS_URI

          public static final java.lang.String ITS_NS_URI

      See Also:
        Constant Field Values

    - #### ITS_NS_PREFIX

          public static final java.lang.String ITS_NS_PREFIX

      See Also:
        Constant Field Values

    - #### ITSXLF_NS_URI

          public static final java.lang.String ITSXLF_NS_URI

      See Also:
        Constant Field Values

    - #### ITSXLF_NS_PREFIX

          public static final java.lang.String ITSXLF_NS_PREFIX

      See Also:
        Constant Field Values

    - #### ITSX_NS_URI

          public static final java.lang.String ITSX_NS_URI

      See Also:
        Constant Field Values

    - #### ITSX_NS_PREFIX

          public static final java.lang.String ITSX_NS_PREFIX

      See Also:
        Constant Field Values

    - #### XLINK_NS_URI

          public static final java.lang.String XLINK_NS_URI

      See Also:
        Constant Field Values

    - #### XLINK_NS_PREFIX

          public static final java.lang.String XLINK_NS_PREFIX

      See Also:
        Constant Field Values

    - #### HTML_NS_URI

          public static final java.lang.String HTML_NS_URI

      See Also:
        Constant Field Values

    - #### HTML_NS_PREFIX

          public static final java.lang.String HTML_NS_PREFIX

      See Also:
        Constant Field Values

    - #### NS_XLIFF12

          public static final java.lang.String NS_XLIFF12

      URI for the XLIFF 1.2 namespace.
      See Also:
        Constant Field Values

    - #### NS_XLIFFOKAPI

          public static final java.lang.String NS_XLIFFOKAPI

      URI for the Okapi XLIFF extensions namespace.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Namespaces

          public Namespaces()